Kerbal Space Program - Bug #1256

Certain internal model textures unadressable via model nodes
08/31/2013 03:41 PM - somnambulist

Status: Closed Start date: 08/31/2013
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.20.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Inserting the following into 'Squad/Spaces/crewCabininternals/internal.cfg’

MODEL {

model = Squad/Spaces/crewCabinInternals/model

texture = model005, Squad/Spaces/GenericSpacel/model005
}

Prevents the internal for the Hitchhiker from loading.

Additionally it seems to corrupt the internal for other parts that reference the same texture. If you also insert the following into
'Squad/Spaces/cupolalnternal/internal.cfg’

MODEL {

model = Squad/Spaces/cupolalnternal/model

texture = pilot Seat, Squad/Spaces/GenericSpacel/model005
}

KSP will fail to load the internal for the cupola. EVA'ing from the cupola and attempting to re-board results in a black screen with
corrupted Ul loaded (altimeter) and a log that's quickly filled with errors (attached).

Model nodes do function correctly on other internals (e.g., PodCockpit, cupolalnternal, etc.)

History

#1 - 09/03/2013 11:47 AM - sr

Reading this bug report, I'm a bit at a loss as to what you're aiming at. Could you please specify why you were changing the resource files and what
behaviour you were expecting to see?

Thanks!

#2 - 09/03/2013 11:48 AM - sr

- Status changed from New to Need More Info

#3 - 09/05/2014 09:03 AM - Squelch
- Status changed from Need More Info to Closed

- % Done changed from 0 to 100

Closing due to age and lack of feedback

Files

KSP.log 1.12 MB 08/31/2013 somnambulist
